package cn.ezhizao.project.business.workflow.service.impl;

import cn.ezhizao.project.business.workflow.domain.BizWorkFlowContent;
import cn.ezhizao.project.business.workflow.mapper.BizWorkFlowContentMapper;
import cn.ezhizao.project.business.workflow.service.BizWorkFlowContentService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service
public class BizWorkFlowContentServiceImpl extends ServiceImpl<BizWorkFlowContentMapper, BizWorkFlowContent> implements BizWorkFlowContentService {
    @Resource
    BizWorkFlowContentMapper workFlowContentDao;
    @Override
    public Integer physicallyDelete(Map<String, Object> conditions) {
        return workFlowContentDao.physicallyDelete(conditions);
    }

    @Override
    public List<BizWorkFlowContent> getList(Map<String, Object> conditions) {
        return workFlowContentDao.getList(conditions);
    }

    @Override
    public int getTotal(Map<String, Object> conditions) {
        return workFlowContentDao.getTotal(conditions);
    }

    @Override
    public List<BizWorkFlowContent> getListByBean(BizWorkFlowContent conditions) {
        return workFlowContentDao.getList(conditions);
    }

}
